Package org.jboss.resteasy.spi

## Class BlockingAsyncOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.jboss.resteasy.spi.AsyncOutputStream
    - - org.jboss.resteasy.spi.BlockingAsyncOutputStream

- All Implemented Interfaces:
    `Closeable`, `Flushable`, `AutoCloseable`

      public class BlockingAsyncOutputStream
      extends AsyncOutputStream

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlockingAsyncOutputStream​(OutputStream outputStream)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CompletionStage<Void>` | `asyncFlush()` | Flushes this async output stream.
    `CompletionStage<Void>` | `asyncWrite​(byte[] bytes, int offset, int length)` | Writes to this async output stream.
    `void` | `close()` |
    `boolean` | `equals​(Object obj)` |
    `void` | `flush()` |
    `int` | `hashCode()` |
    `String` | `toString()` |
    `void` | `write​(byte[] b)` |
    `void` | `write​(byte[] b, int off, int len)` |
    `void` | `write​(int b)` |

    - ### Methods inherited from class org.jboss.resteasy.spi.AsyncOutputStream

      `asyncWrite`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockingAsyncOutputStream

          public BlockingAsyncOutputStream​(OutputStream outputStream)

  - ### Method Detail

    - #### asyncFlush

          public CompletionStage<Void> asyncFlush()

      Description copied from class: `AsyncOutputStream`
      Flushes this async output stream.
      Specified by:
        `asyncFlush` in class `AsyncOutputStream`
      Returns:
        a `CompletionStage` notified on completion of the flush operation.

    - #### asyncWrite

          public CompletionStage<Void> asyncWrite​(byte[] bytes,
                                                  int offset,
                                                  int length)

      Description copied from class: `AsyncOutputStream`
      Writes to this async output stream.
      Specified by:
        `asyncWrite` in class `AsyncOutputStream`
      Parameters:
        `bytes` - the bytes to write
        `offset` - the offset from which to start writing in the given byte array.
        `length` - the number of bytes to write from the given byte array
      Returns:
        a `CompletionStage` notified on completion of the write operation.

    - #### write

          public void write​(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### write

          public void write​(byte[] b)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write​(byte[] b,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`